@stack_template @project @stack
Feature: Delete stack template

  <% openstack_template_id = @fixtures['stack_template']['openstack']['valid']['id'] %>
  Scenario: Delete stack template with user without privileges
    When I send DELETE '/v2.0/stack_template/<%= openstack_template_id %>' query with user without privileges
    Then response should be '401'

  @openstack
  Scenario: Delete openstack stack_template with id '<%= openstack_template_id %>'
    When I send DELETE '/v2.0/stack_template/<%= openstack_template_id %>' query
    Then response should be '200'
    And the Content-Type header should include 'application/json'
    And the JSON response should be an object
